Mail::Box::FastScalar(3)

NAME
Mail::Box::FastScalar - fast alternative to IO::Scalar

SYNOPSIS
  my $fh = Mail::Box::FastScalar->new;
  $fh->open(\my $out);

  my $fh = Mail::Box::FastScalar->new(\my $out);

DESCRIPTION
Extremely fast IO::Scalar replacement - over 20x improvement in getline() and getlines() methods.

Contributed by "Todd Richmond" ("richmond@proofpoint.com")

  Warnings
You cannot modify the original reference between calls unless you "$obj-"seek(1, 0)> to reset the object - VERY rare usage case.

$/ must be "undef" or string - "" and \scalar unimplemented

SEE ALSO
This module is part of Mail-Message version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.